Skip to main content

Add member

Notice: The Cards API is deprecated and will be removed in a future release. Please migrate to the new Tasks API to avoid disruptions.

Adds the specified member to the card.

Parameters​

user
string
ID of the user.

Returns​

Returns the added user object. Throws an error if some parameters are not valid.

post
/api/cards/{id}/members
curl -X POST https://{workspace}.kitchen.co/api/cards/{id}/members \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"created_at": "2024-03-11T15:37:23+00:00",
"email": "john.doe@example.net",
"group": "client",
"id": "u_c01bb6102b6ddadd4b1f020e",
"language": null,
"name": "John Doe",
"phone": null,
"role": "member",
"timezone": null,
"title": null,
"company": null,
"updated_at": "2024-03-11T15:37:23+00:00",
"username": "johndoe"
}